function struktura=konfigurace(typ)
[cislo nazev]=xlsread('conf.xls');
struktura(1)=struct('cislo',3,'name',' ');
if length(cislo(1,:))>1
    cislo=cislo(:,2);
end
N=length(cislo);
index=1;
if typ=='hvizd '
    for k=1:N
        pom=char(nazev(k,1));
        if length(pom)>1
            if pom(1)=='h'&& isnan(cislo(k))==0
                struktura(index)=struct('cislo',cislo(k),'name',pom(3:length(pom)));
                index=index+1;
            elseif pom(1)=='h' && length(nazev(1,:))>1 
                if strcmp(nazev(k,2),'')==0
                    struktura(index)=struct('cislo',nazev(k,2),'name',pom(3:length(pom)));
                end
            end
        end
    end
elseif typ=='ton   '
    for k=1:N
        if isnan(cislo(k))==0
            pom=char(nazev(k,1));
            if pom(1)=='t'
                struktura(index)=struct('cislo',cislo(k),'name',pom(3:length(pom)));
                index=index+1;
            end
        end
    end
elseif typ=='anthem'
    for k=1:N
        if isnan(cislo(k))==0
            pom=char(nazev(k,1));
            if pom(1)=='a'
                struktura(index)=struct('cislo',cislo(k),'name',pom(3:length(pom)));
                index=index+1;
            end
        end
    end
elseif typ=='global'
    for k=1:N
        if isnan(cislo(k))==0
            pom=char(nazev(k,1));
            if pom(1)=='g'
                struktura(index)=struct('cislo',cislo(k),'name',pom(3:length(pom)));
                index=index+1;
            end
        end
    end
end

            
    